Skip to main content
POST
/
api
/
entities
/
checks
/
v1
/
categories:upsert
UpsertCheckCategories
curl --request POST \
  --url https://developer.synq.io/api/entities/checks/v1/categories:upsert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "categories": [
    {
      "checkPath": "<string>",
      "category": "<string>",
      "governanceCategory": "<string>",
      "actorIdentity": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}
'
{
  "categories": [
    {
      "checkPath": "<string>",
      "category": "<string>",
      "governanceCategory": "<string>",
      "actorIdentity": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.synq.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
categories
CheckCategory · object[]
Minimum array length: 1

Response

200 - application/json

Success

categories
CheckCategory · object[]

Echoed categories with server-set actor_identity / updated_at.